> ## Documentation Index
> Fetch the complete documentation index at: https://docs.antigen.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a hook



## OpenAPI

````yaml /api/openapi.yaml delete /hooks/{id}
openapi: 3.1.0
info:
  title: Antigen API
  version: v1
  description: >-
    Use the Antigen API to manage targets, runs, vulnerabilities, evidence,
    reports, hooks, assets, and integrations.
servers:
  - url: https://api.antigen.sh/v1
    description: Production
security:
  - ApiKeyAuth: []
  - BearerAuth: []
  - SessionCookie: []
tags:
  - name: Authentication
  - name: API keys
  - name: Models
  - name: Agents
  - name: Targets
  - name: Runs
  - name: Vulnerabilities
  - name: Evidence
  - name: Reports
  - name: Hooks
  - name: Asset Map
  - name: Integrations
paths:
  /hooks/{id}:
    delete:
      tags:
        - Hooks
      summary: Remove a hook
      operationId: deleteHook
      parameters:
        - $ref: '#/components/parameters/HookId'
      responses:
        '200':
          description: Hook removed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeletedResponse'
components:
  parameters:
    HookId:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    DeletedResponse:
      type: object
      required:
        - deleted
      properties:
        deleted:
          type: boolean
          const: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key from the Antigen dashboard.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: access token
      description: Better Auth access token.
    SessionCookie:
      type: apiKey
      in: cookie
      name: better-auth.session_token
      description: Better Auth browser session cookie.

````